glutSetColor(3GLUT)

NAME
glutSetColor - sets the color of a colormap entry in the layer of use for the current window.

SYNTAX

void glutSetColor(int cell,
		  GLfloat red, GLfloat green, GLfloat blue);

ARGUMENTS

cell
    Color cell index (starting at zero).

red Red intensity (clamped between 0.0 and 1.0 inclusive).

green
    Green intensity (clamped between 0.0 and 1.0 inclusive).

blue
    Blue intensity (clamped between 0.0 and 1.0 inclusive).

DESCRIPTION
Sets the cell color index colormap entry of the current window's logical colormap for the layer in use with the color specified by red, green, and blue. The layer in use of the current window should be a color index window. cell should be zero or greater and less than the total number of colormap entries for the window. If the layer in use's colormap was copied by reference, a glutSetColor call will force the duplication of the colormap. Do not attempt to set the color of an overlay's transparent index.

SEE ALSO
glutGetColor, glutCopyColormap, glutInitDisplayMode

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)